# Poco::Net

# class HTTPChunkedIOS

Library: Net
Package: HTTP
Header: Poco/Net/HTTPChunkedStream.h

## Description

The base class for HTTPInputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HTTPChunkedInputStream, HTTPChunkedOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### HTTPChunkedIOS

HTTPChunkedIOS(
HTTPSession & session,
HTTPChunkedStreamBuf::openmode mode
);

## Destructor

### ~HTTPChunkedIOS

~HTTPChunkedIOS();

## Member Functions

### rdbuf

HTTPChunkedStreamBuf * rdbuf();

## Variables

### _buf

HTTPChunkedStreamBuf _buf;